# Uses of Class
org.eclipse.ecf.provider.generic.SOConfig

Packages that use SOConfig
Package
Description
org.eclipse.ecf.provider.generic

## Uses of SOConfig in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that return SOConfig
Modifier and Type
Method
Description
`protected SOConfig`
SOContainer.`createRemoteSharedObjectConfig(ID fromID, ReplicaSharedObjectDescription sd, ISharedObject obj)`
`protected SOConfig`
SOContainer.`createSharedObjectConfig(ID id, ISharedObject obj, Map props)`
`protected SOConfig`
SOWrapper.`getConfig()`
Methods in org.eclipse.ecf.provider.generic with parameters of type SOConfig
Modifier and Type
Method
Description
`protected SOContext`
SOContainer.`createRemoteSharedObjectContext(SOConfig soconfig, IQueueEnqueue queue)`
`protected SOContext`
SOContainer.`createSharedObjectContext(SOConfig soconfig, IQueueEnqueue queue)`
Constructors in org.eclipse.ecf.provider.generic with parameters of type SOConfig
Modifier
Constructor
Description
``
`SOWrapper(SOConfig aConfig, ISharedObject obj, SOContainer cont)`